Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::ConnectedParticleSystem Class Reference

ConnectConnectedParticleSystem is a specialise ConnectedParticleSystem for effects like missle trails, where the individual particles are rendered as single ribbon. More...

Inheritance diagram for osgParticle::ConnectedParticleSystem:

[legend]
List of all members.

## Public Member Functions
| ConnectedParticleSystem ()
| ConnectedParticleSystem (const ConnectedParticleSystem &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgParticle, ConnectedParticleSystem)
virtual Particle * | createParticle (const Particle *ptemplate)
| Create a new particle from the specified template (or the default one if `ptemplate` is null).
virtual void | reuseParticle (int i)
| Reuse the i-th particle.
virtual void | drawImplementation (osg::State &state) const
| Draw the connected particles as either a line or a quad strip, depending upon viewing distance. .
## Protected Member Functions
virtual | ~ConnectedParticleSystem ()
ConnectedParticleSystem & | operator= (const ConnectedParticleSystem &)
## Protected Attributes
int | _startParticle
int | _lastParticleCreated

## Detailed Description

ConnectConnectedParticleSystem is a specialise ConnectedParticleSystem for effects like missle trails, where the individual particles are rendered as single ribbon.

## Constructor & Destructor Documentation

osgParticle::ConnectedParticleSystem::ConnectedParticleSystem | ( |  | ) |

osgParticle::ConnectedParticleSystem::ConnectedParticleSystem | ( | const ConnectedParticleSystem & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

virtual osgParticle::ConnectedParticleSystem::~ConnectedParticleSystem | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual Particle* osgParticle::ConnectedParticleSystem::createParticle | ( | const Particle * | ptemplate | ) | `[virtual]`

| Create a new particle from the specified template (or the default one if `ptemplate` is null). Reimplemented from osgParticle::ParticleSystem.

virtual void osgParticle::ConnectedParticleSystem::drawImplementation | ( | osg::State & | state | ) | const`[virtual]`

| Draw the connected particles as either a line or a quad strip, depending upon viewing distance. . Reimplemented from osgParticle::ParticleSystem.

osgParticle::ConnectedParticleSystem::META_Object | ( | osgParticle | ,
|  | ConnectedParticleSystem |
| ) |

ConnectedParticleSystem& osgParticle::ConnectedParticleSystem::operator= | ( | const ConnectedParticleSystem & |  | ) | `[inline, protected]`

virtual void osgParticle::ConnectedParticleSystem::reuseParticle | ( | int | i | ) | `[virtual]`

| Reuse the i-th particle. Reimplemented from osgParticle::ParticleSystem.

## Member Data Documentation

int osgParticle::ConnectedParticleSystem::_lastParticleCreated`[protected]`

int osgParticle::ConnectedParticleSystem::_startParticle`[protected]`

The documentation for this class was generated from the following file:

- ConnectedParticleSystem